Subject: [hrpc] a timing head's-up

From: Sandra Braman <[email-masked]>
Date: Wed, 22 Nov 2017 06:53:04 -0600

Folks --

Just a head's-up that I will be weighing in on a number of matters that
have come up in this rich and useful discussion, hopefully by early next
week. Want to do so in a thoughtful and comprehensive way, but this is a
very demanding time of the semester on the teaching front where I am so it
will take a little bit of time yet. Given that there are proposals to move
towards adoption of several documents, just wanted to get this flag up that
at least a few more comments are coming.

Back at you soon --

Sandra Braman